unit uInventarioViewRegister;

interface

procedure RegisterViews;
procedure UnregisterViews;

implementation

uses
  uEditorRegistryUtils, uEditorInventario, uEditorEntradaSalidaArticulos,
  uEditorElegirArticulosCatalogo, uEditorElegirArticulosAlmacen,
  uEditorDetalleReservas, uEditorDetallesSinAlbaran, uEditorDetallesSinRecibir;

procedure RegisterViews;
begin
  EditorRegistry.RegisterClass(TfEditorInventario, 'EditorInventario');
  EditorRegistry.RegisterClass(TfEditorEntradaSalidaArticulos, 'EditorEntradaSalidaArticulos');
  EditorRegistry.RegisterClass(TfEditorElegirArticulosCatalogo, 'EditorElegirArticulosCatalogo');
  EditorRegistry.RegisterClass(TfEditorElegirArticulosAlmacen, 'EditorElegirArticulosAlmacen');
  EditorRegistry.RegisterClass(TfEditorDetalleReservas, 'EditorDetalleReservas');
  EditorRegistry.RegisterClass(TfEditorDetallesSinAlbaran, 'EditorDetallesSinAlbaran');
  EditorRegistry.RegisterClass(TfEditorDetallesSinRecibir, 'EditorDetallesSinRecibir');
end;

procedure UnregisterViews;
begin
  EditorRegistry.UnRegisterClass(TfEditorInventario);
  EditorRegistry.UnRegisterClass(TfEditorEntradaSalidaArticulos);
  EditorRegistry.UnRegisterClass(TfEditorElegirArticulosCatalogo);
  EditorRegistry.UnRegisterClass(TfEditorElegirArticulosAlmacen);
  EditorRegistry.UnRegisterClass(TfEditorDetalleReservas);
  EditorRegistry.UnRegisterClass(TfEditorDetallesSinAlbaran);
  EditorRegistry.UnRegisterClass(TfEditorDetallesSinRecibir);          
end;

end.
